%global pypi_name pygnssutils

Name:          python-%{pypi_name}
Version:       1.1.15
Release:       %autorelease
Summary:       Python GNSS CLI utility library
License:       BSD-3-Clause
URL:           https://github.com/semuconsulting/pygnssutils
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-setuptools

%global _description %{expand:
pygnssutils is an original series of Python GNSS utility classes and CLI
tools for reading, parsing and broadcasting NMEA, UBX, SBF, RTCM3, NTRIP
and SPARTN protocols.
}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/75.0/74.0/' pyproject.toml
sed -i 's/"certifi>=2025.0.0"/"certifi>=2024.0.0"/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/gnss*

%changelog
%autochangelog
